com.creamtec.ajaxswing

## Class ServletHelper.InProcessAppDesc

- java.lang.Object
- - com.creamtec.ajaxswing.servlet.AppDescBase
  - - com.creamtec.ajaxswing.servlet.AppDesc
    - - com.creamtec.ajaxswing.ServletHelper.InProcessAppDesc

- All Implemented Interfaces:
    SessionListener
  Enclosing class:
    ServletHelper

      public class ServletHelper.InProcessAppDesc
      extends AppDesc

  Declare this class to resolve classpath to the application classes. Otherwise bootclasspath doesn't work

- - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.servlet.AppDesc

      `agents, appName, inProcess, tempDirPath`

    - ### Fields inherited from class com.creamtec.ajaxswing.servlet.AppDescBase

      `APPS_LIMIT, CONNECTIONS_LIMIT, dummy1, dummy2, evalRequests, licInitialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletHelper.InProcessAppDesc(java.lang.String appName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionExpired(java.lang.Object session)` Called when the session has expired

    - ### Methods inherited from class com.creamtec.ajaxswing.servlet.AppDesc

      `addAgent, getAgent, getAgents, getAgentsCount, getAppName, getProps, getSession, getSessionManager, getTempDirPath, isInProcess, removeAgent`

    - ### Methods inherited from class com.creamtec.ajaxswing.servlet.AppDescBase

      `initLicense`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletHelper.InProcessAppDesc

          public ServletHelper.InProcessAppDesc(java.lang.String appName)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### sessionExpired

          public void sessionExpired(java.lang.Object session)

      Description copied from interface: `SessionListener`
      Called when the session has expired
      Parameters:
        `session` - session that has expired

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.